> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Detect Live

> Face static living detection (high-precision version) can be used to perform anti-reproduction living detection on static pictures uploaded by users to determine whether it is a reproduction picture.



## OpenAPI

````yaml /openapi/face-change.json post /face/detect-live
openapi: 3.0.0
info:
  title: Face Transformation
  version: 1.0.0
  description: API reference for Face Transformation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /face/detect-live:
    post:
      summary: Detect Live
      description: >-
        Face static living detection (high-precision version) can be used to
        perform anti-reproduction living detection on static pictures uploaded
        by users to determine whether it is a reproduction picture.
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
              - application/x-ndjson
            type: string
          required: false
          description: Face Detect Live Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - image_url
              properties:
                image_url:
                  type: string
                  description: Face Detect Live Image Url
                face_model_version:
                  type: number
                  description: Face Detect Live Face Model Version
            example:
              image_url: https://cdn.acedata.cloud/4hfydw.jpg
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  score: 6
                  face_model_version: '3.0'
                properties:
                  score:
                    type: string
                    description: Face Detect Live Response 200 Score
                  face_model_version:
                    type: string
                    description: Face Detect Live Response 200 Face Model Version
          description: Face Detect Live Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Face Detect Live Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Face Detect Live Response 400 Error Message
                      trace_id:
                        type: string
                        description: Face Detect Live Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Face Detect Live Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Face Detect Live Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Face Detect Live Response 400 Trace Id 2
          description: Face Detect Live Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Face Detect Live Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Face Detect Live Response 401 Error Message
                      trace_id:
                        type: string
                        description: Face Detect Live Response 401 Trace Id
          description: Face Detect Live Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Face Detect Live Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Face Detect Live Response 429 Error Message
                      trace_id:
                        type: string
                        description: Face Detect Live Response 429 Trace Id
          description: Face Detect Live Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Face Detect Live Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Face Detect Live Response 500 Error Message
                      trace_id:
                        type: string
                        description: Face Detect Live Response 500 Trace Id
          description: Face Detect Live Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````